SAUNAFS-GETEATTR(1)

NAME
saunafs-geteattr, saunafs-seteattr, saunafs-deleattr - get, set or delete extra attributes

SYNOPSIS

saunafs geteattr [-r] [-n|-h|-H] OBJECT...

saunafs seteattr [-r] [-n|-h|-H] -f ATTRNAME [-f ATTRNAME ...] OBJECT...

saunafs deleattr [-r] [-n|-h|-H] -f ATTRNAME [-f ATTRNAME ...] OBJECT...

DESCRIPTION

geteattr, seteattr and deleattr tools are used to get, set or delete some extra attributes. Attributes are described below.

OPTIONS

-r
    This option enables recursive mode.

-n, -h, -H
    These options are described in saunafs(1).

EXTRA ATTRIBUTES

noowner
    This flag means, that particular object belongs to current user (uid and gid are equal to uid and gid values of accessing process). Only root (uid=0) sees the real uid and gid.

noattrcache
    This flag means, that standard file attributes such as uid, gid, mode, length and so on won’t be stored in kernel cache.

noentrycache
    This flag is similar to above. It prevents directory entries from being cached in kernel.

REPORTING BUGS

Report bugs to the GitHub repository as an issue.

COPYRIGHT

Copyright 2008-2009 Gemius SA

Copyright 2013-2019 Skytechnology sp. z o.o.

Copyright 2023-2024 Leil Storage OÜ

SaunaFS is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 3.

SaunaFS is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with SaunaFS. If not, see

SEE ALSO

saunafs(1)